Skip to content

Replace webhook
GA

Request

Replace an already existing webhook.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

webhookIdstringrequired

The unique ID of the webhook.

Bodyapplication/jsonrequired

Webhook to replace

targetstring, (url), [ 1 .. 742 ] charactersrequired

A valid target url where events should be sent to.

secretstring, [ 1 .. 128 ] charactersrequired

Secret to be used to sign contents of webhooks sent by the provisioning API. You can then use the secret to verify the signature. Please not that secret should have a high entropy to be considered secure.

triggersArray of strings, non-empty, uniquerequired

List of triggers you want to be notified about on your webhook. To be able to listen to all type of events use ALL.

  • Common: ALL
  • Bundles: BUNDLE_DONE
  • WhatsApp Sender: WHATSAPP_SENDER_ACTIVE, WHATSAPP_SENDER_COMMENT_ADDED, WHATSAPP_SENDER_DAILY_LIMIT_CHANGED, WHATSAPP_SENDER_DELETED, WHATSAPP_SENDER_ERROR, WHATSAPP_SENDER_INACTIVE, WHATSAPP_SENDER_PENDING_VERIFICATION, WHATSAPP_SENDER_QUALITY_RATING_CHANGED, WHATSAPP_SENDER_REJECTED or WHATSAPP_SENDER_USERNAME_UPDATED
  • WhatsApp Template: WHATSAPP_TEMPLATE_APPROVED, WHATSAPP_TEMPLATE_CATEGORY_FUTURE_UPDATE, WHATSAPP_TEMPLATE_CATEGORY_UPDATED, WHATSAPP_TEMPLATE_COMMENT_ADDED, WHATSAPP_TEMPLATE_DELETED, WHATSAPP_TEMPLATE_QUALITY_SCORE_UPDATED, WHATSAPP_TEMPLATE_REJECTED or WHATSAPP_TEMPLATE_STATUS_UPDATED
  • WhatsApp Account: WHATSAPP_ACCOUNT_COMMENT_ADDED, WHATSAPP_ACCOUNT_DAILY_LIMIT_CHANGED, WHATSAPP_ACCOUNT_ONBOARDED, WHATSAPP_ACCOUNT_PENDING_VERIFICATION, WHATSAPP_ACCOUNT_REJECTED or WHATSAPP_WABA_ACCOUNT_CHANGED
  • RCS Sender: RCS_BRAND_REGISTRATION_PROCESS_STATUS_UPDATED, RCS_SENDER_COMMENT_ADDED, RCS_SENDER_OPERATOR_STATUS_UPDATED or RCS_SENDER_STATUS_UPDATED
  • KakaoTalk Sender: KAKAOTALK_SENDER_ACTIVE, KAKAOTALK_SENDER_COMMENT_ADDED, KAKAOTALK_SENDER_INACTIVE or KAKAOTALK_SENDER_REJECTED
  • KakaoTalk Template: KAKAOTALK_TEMPLATE_APPROVED, KAKAOTALK_TEMPLATE_COMMENT_ADDED or KAKAOTALK_TEMPLATE_REJECTED
curl -i -X PUT \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/webhooks/{webhookId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "secret": "{{WEBHOOK_SECRET}}",
    "target": "https://my.server.com/callback",
    "triggers": [
      "WHATSAPP_TEMPLATE_APPROVED",
      "WHATSAPP_TEMPLATE_REJECTED"
    ]
  }'

Responses

Webhook response

Bodyapplication/json
idstringrequired

The ID of the webhook.

targetstringrequired

The target url where events will be sent to.

projectIdstringrequired

The project that this webhook belongs to.

triggersArray of strings, uniquerequired

List of triggers this webhook is triggered by.

Response

Example of a response for an update to specific triggers.

{ "id": "{{WEBHOOK_ID}}", "projectId": "{{PROJECT_ID}}", "target": "https://my.server.com/callback", "triggers": [ "WHATSAPP_TEMPLATE_APPROVED", "WHATSAPP_TEMPLATE_REJECTED" ] }
We'd love to hear from you!
Rate this content: